Page MenuHomePhabricator

2019 Week 6 Bonus Content
Closed, ResolvedPublic

Description

PHI1050 identified some out-of-date documentation.

D20080 has an instance service call which should receive jitter.

PHI1047 notes an API inconsistency between owners.search and owners.edit.

User renames show up in feed but don't have a feed-oriented rendering ("this user" instead of "<old username">): https://secure.phabricator.com/feed/6654516638475651570/

The "Members" UI under instances still has a couple of issues:

  • Invites which were cancelled but ultimately registered (through automatic domain registration? Old invites? Is this just a bug?) show as "cancelled", but should show in a user bucket.
  • Users can be instance managers and in a lot of other states (Unregistered, Disabled). Our icon signaling isn't terribly clear in these cases.
  • Unregistered users should show up as "invited".

D20093 fixes a mobile application menu in Mail. It would be very nice to fix this in a generic way instead. (This may also affect Instances.)

See PHI1055, which would like more sophisticated Owners Audit behavior.

PHI1034 is a cluster invoicing thing which should be sorted out.

PHI1052 encountered a card issue with Stripe. This might be a problem with the card, but the workflow should be more clear.

Details

Commits
D20127 / rP7d6d2c128a9a: Make "bin/audit delete" synchronize commit audit status, and improve "bin/audit…
D20131 / rPa20f10803412: When an edit overrides an object lock, note it in the transaction record
D20132 / rP2b718d78bba2: Improve UI/UX when users try to add an invalid card with Stripe
D20130 / rPae54af32c145: When an Owners package accepts a revision, count that as an "involved owner"…
D20126 / rP31a0ed92d08d: Support a wider range of "Audit" rules for Owners packages
D20124 / rP8fab8d8a18ef: Prepare owners package audit rules to become more flexible
D20129 / rP509fbb6c20e2: When building audit queries, prefilter possible "authorPHID" values
Restricted Differential Revision / Restricted Diffusion Commit
Restricted Differential Revision / Restricted Diffusion Commit
Restricted Differential Revision / Restricted Diffusion Commit
D20102 / rP113a2773dd5b: Remove one-time login from username change email
D20100 / rP9632c704c69d: Always allow users to login via email link, even if an install does not use…
Restricted Differential Revision / Restricted Diffusion Commit
D20096 / rP4fcb38a2a94c: Move the Auth Provider edit flow toward a more modern layout
D20095 / rP8c8d56dc5636: Replace "Add Auth Provider" radio buttons with a more modern "click to select"…
D20094 / rP6f3bd13cf5da: Begin adding more guidance to the "One-Time Login" flow
D20097 / rPab467d52f4dd: Improve feed rendering of user rename story
D20093 / rP5dc650229350: Make the mobile menu available in "/mail/"
D20091 / rPee24eb60b765: In Owners Packages, make the API representation of the "Auditing" field more…
D20087 / rP4675306615da: Add a "metronome" for spreading service call load

Event Timeline

epriestley triaged this task as Normal priority.Feb 1 2019, 10:38 PM
epriestley created this task.
epriestley updated the task description. (Show Details)Feb 2 2019, 1:52 AM
epriestley updated the task description. (Show Details)Feb 2 2019, 6:55 PM
epriestley updated the task description. (Show Details)Feb 3 2019, 2:59 PM
epriestley updated the task description. (Show Details)Feb 5 2019, 3:08 AM
epriestley added a revision: Restricted Differential Revision.Feb 5 2019, 3:15 AM
epriestley added a revision: Restricted Differential Revision.Feb 5 2019, 3:17 AM
epriestley updated the task description. (Show Details)Feb 5 2019, 3:18 AM
epriestley updated the task description. (Show Details)Feb 5 2019, 1:12 PM
epriestley updated the task description. (Show Details)Feb 5 2019, 2:04 PM
epriestley added a revision: Restricted Differential Revision.Feb 5 2019, 6:29 PM
epriestley updated the task description. (Show Details)Feb 5 2019, 6:31 PM
epriestley updated the task description. (Show Details)Feb 5 2019, 9:25 PM
epriestley added a commit: Restricted Diffusion Commit.Feb 5 2019, 10:23 PM
epriestley added a commit: Restricted Diffusion Commit.Feb 6 2019, 12:03 AM
epriestley updated the task description. (Show Details)Feb 6 2019, 12:17 AM
epriestley updated the task description. (Show Details)Feb 7 2019, 3:58 AM
epriestley added a commit: Restricted Diffusion Commit.Feb 7 2019, 3:25 PM
epriestley added a commit: Restricted Diffusion Commit.

D20093 fixes a mobile application menu in Mail. It would be very nice to fix this in a generic way instead. (This may also affect Instances.)

This is at least slightly involved: although we can make the menu generate automatically for pages which have a legitimate left-hand-side navigation menu, we also currently set things up so that detail pages (like /V123) have the full menu.

I'm sort of not sure we really need or want to do this. We don't have these options anywhere on Desktop, and that's fine: you just click the "Slowvote" breadcrumb to get back to the list. I think you rarely want to jump directly from /V123 to "Advanced Search" or some other non-default filter.

One mild argument is that we sometimes abbreviate breadcrumbs on mobile, but very few pages have some complex A > B > C > D hierarchy.

I'm leaning toward making this automatic in the easy case: when we have a real left-side navigation menu, always make it the default "hamburger" mobile menu on the same page. And then maybe moving toward getting rid of it in (most?) other cases? The new rule would be "if there's a left-hand navigation menu on Desktop, you get the same hamburger menu on mobile; if there's no left-hand navigation menu on Desktop, you get nothing".

For now, maybe I'll just keep an eye on how that rule would impact things.

For now, maybe I'll just keep an eye on how that rule would impact things.

Immortalized in T13247 since this isn't immediately resolvable.

epriestley updated the task description. (Show Details)Feb 7 2019, 8:23 PM
epriestley updated the task description. (Show Details)Feb 7 2019, 8:44 PM
epriestley updated the task description. (Show Details)Feb 8 2019, 3:23 PM
epriestley closed this task as Resolved.Feb 9 2019, 1:53 PM
epriestley claimed this task.
epriestley updated the task description. (Show Details)